#
# Copyright © 2012–2022 Michal Čihař <michal@cihar.com>
#
# This file is part of Weblate <https://weblate.org/>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.
#

"""Language data definitions.

This is an automatically generated file, see scripts/generate-language-data

Do not edit, please adjust language definitions in following repository:
https://github.com/WeblateOrg/language-data
"""
# pylint: disable=line-too-long,too-many-lines


# Language definitions
POPULATION = {
    "aa": 210363454,
    "ab": 11235558,
    "ace": 367901800,
    "ach": 151158690,
    "ada": 84307500,
    "ady": 44197132,
    "ae": 0,
    "af": 910541357,
    "afh": 0,
    "aii": 0,
    "ain": 0,
    "ajp": 0,
    "ak": 1095997500,
    "akk": 0,
    "ale": 0,
    "alt": 1989722,
    "am": 3581708691,
    "an": 2565217,
    "ang": 0,
    "anp": 0,
    "ar": 33976394953,
    "ar_BH": 125511420,
    "ar_DZ": 3082655000,
    "ar_EG": 9344850200,
    "ar_KW": 291647000,
    "ar_LY": 499833740,
    "ar_MA": 2127474200,
    "ar_SA": 3309110000,
    "ar_XB": 0,
    "ar_YE": 2121372800,
    "arc": 0,
    "arn": 26887950,
    "arp": 0,
    "ars": 99273300,
    "arw": 0,
    "as": 1685879000,
    "asa": 66541560,
    "ast": 64130430,
    "av": 55427970,
    "avk": 0,
    "awa": 2529355720,
    "ay": 276255920,
    "ayc": 0,
    "az": 954268828,
    "azb": 0,
    "ba": 184759900,
    "bal": 997987060,
    "ban": 473016600,
    "bar": 2203151050,
    "bas": 30769200,
    "be": 1011518415,
    "be_Latn": 0,
    "bej": 232852320,
    "bem": 509798100,
    "ber": 0,
    "bez": 94267210,
    "bg": 797299994,
    "bh": 0,
    "bho": 3221624240,
    "bi": 25923330,
    "bik": 317679000,
    "bin": 144451630,
    "bla": 0,
    "bm": 847775400,
    "bn": 26177130938,
    "bn_BD": 15626394000,
    "bn_IN": 10504323000,
    "bnt": 0,
    "bo": 298335354,
    "bo_CN": 276938000,
    "bqi": 116234580,
    "br": 55912452,
    "bra": 5317003,
    "brx": 181556200,
    "bs": 381139110,
    "bs_Cyrl": 381139110,
    "bs_Latn": 0,
    "bua": 31267060,
    "bug": 422972166,
    "byn": 7761845,
    "ca": 856630390,
    "ca@valencia": 0,
    "ca_AD": 4371108,
    "cad": 0,
    "cak": 0,
    "car": 0,
    "ce": 93801180,
    "ceb": 2541432000,
    "cgg": 220609980,
    "ch": 4626876,
    "chb": 0,
    "chg": 0,
    "chk": 3109290,
    "chm": 52585510,
    "chn": 0,
    "cho": 1086544,
    "chp": 75351,
    "chr": 2535271,
    "chy": 0,
    "ckb": 1127680330,
    "ckb_IQ": 803884000,
    "ckb_IR": 323796330,
    "cnr": 0,
    "cnr_Cyrl": 0,
    "co": 16167456,
    "cop": 0,
    "cpe": 0,
    "cpf": 0,
    "cpp": 0,
    "cr": 3946987,
    "crh": 24613288,
    "crp": 0,
    "cs": 1303174280,
    "csb": 4994691,
    "cu": 0,
    "cv": 184759900,
    "cy": 53080821,
    "da": 702229860,
    "dak": 1942610,
    "dar": 36951980,
    "de": 13464146835,
    "de@formal": 0,
    "de@informal": 0,
    "de_1901": 0,
    "de_AT": 852956890,
    "de_CH": 605375130,
    "de_LU": 38163132,
    "del": 0,
    "den": 229642,
    "dgo": 0,
    "dgr": 265524,
    "din": 0,
    "doi": 259366000,
    "dry": 0,
    "dsb": 699981,
    "dua": 12307680,
    "dum": 0,
    "dv": 37411194,
    "dyu": 631766400,
    "dz": 36280025,
    "ee": 448127150,
    "efi": 284834200,
    "egy": 0,
    "eka": 0,
    "el": 1250531337,
    "elx": 0,
    "en-Shaw": 0,
    "en": 159034349015,
    "en_AU": 2253129600,
    "en_CA": 3085826200,
    "en_GB": 6445414800,
    "en_IE": 496668900,
    "en_IN": 24639770000,
    "en_NZ": 445471740,
    "en_PH": 6777152000,
    "en_US": 31608576000,
    "en_XA": 0,
    "en_ZA": 1716786200,
    "en_devel": 0,
    "enm": 0,
    "eo": 30063,
    "es": 48180693008,
    "es_419": 0,
    "es_AR": 4469420000,
    "es_BO": 689684300,
    "es_CL": 1756679400,
    "es_CO": 4479717000,
    "es_CR": 473778300,
    "es_DO": 803306400,
    "es_EC": 1583856000,
    "es_MX": 10454597000,
    "es_NI": 474646380,
    "es_PA": 262244160,
    "es_PE": 2287177600,
    "es_PR": 286632810,
    "es_SV": 550667030,
    "es_US": 3160857600,
    "es_UY": 296498400,
    "es_VE": 2598514400,
    "et": 88953699,
    "eu": 107419572,
    "ewo": 79487100,
    "ext": 24172239,
    "fa": 8200479091,
    "fa_AF": 1747040000,
    "fan": 40670307,
    "fat": 0,
    "ff": 737877534,
    "fi": 570437606,
    "fil": 6491867520,
    "fj": 36124764,
    "fo": 7054320,
    "fon": 283512500,
    "fr": 26405523410,
    "fr@formal": 0,
    "fr@informal": 0,
    "fr_AG": 0,
    "fr_BE": 439690400,
    "fr_CA": 789397400,
    "fr_CH": 174149010,
    "fr_LU": 52701468,
    "fr_SN": 585815100,
    "frc": 2765750,
    "frm": 0,
    "fro": 0,
    "frp": 6332253,
    "frr": 965492,
    "frs": 201144,
    "fur": 3734802,
    "fy": 73750160,
    "ga": 113189835,
    "gaa": 78687000,
    "gay": 31534440,
    "gba": 0,
    "gbm": 350144100,
    "gd": 6445414,
    "gez": 0,
    "gil": 6562020,
    "gl": 346767470,
    "glk": 381913620,
    "gmh": 0,
    "gn": 569249262,
    "goh": 0,
    "gon": 311239200,
    "gor": 107742670,
    "got": 0,
    "grb": 0,
    "grc": 0,
    "gsw": 788663459,
    "gu": 5836218975,
    "gu_IN": 5835735000,
    "gug": 0,
    "gun": 0,
    "guw": 0,
    "gv": 169873,
    "gwi": 57410,
    "ha": 3483571350,
    "hai": 0,
    "haw": 2930378,
    "he": 842490000,
    "he_IL": 842490000,
    "hi": 53334248545,
    "hi_Latn": 0,
    "hil": 889501200,
    "hit": 0,
    "hmn": 0,
    "hne": 1426513000,
    "ho": 14757393,
    "hr": 681395204,
    "hrx": 0,
    "hsb": 1287323,
    "ht": 873860400,
    "hu": 1245955692,
    "hup": 0,
    "hus": 0,
    "hy": 543098157,
    "hz": 23052302,
    "ia": 13472,
    "iba": 79524250,
    "id": 16849240160,
    "ie": 0,
    "ig": 2644889000,
    "ii": 830814000,
    "ik": 790214,
    "ilo": 1016572800,
    "inh": 22739680,
    "io": 0,
    "is": 34351800,
    "it": 7049691710,
    "it_CH": 35659083,
    "iu": 1507031,
    "ja": 12029817870,
    "ja_KS": 0,
    "jam": 267148550,
    "jbo": 0,
    "jgo": 8717940,
    "jmc": 41033962,
    "jpr": 0,
    "jrb": 0,
    "jv": 8972929640,
    "ka": 434088896,
    "kaa": 48037920,
    "kab": 324928500,
    "kac": 94558250,
    "kaj": 42725130,
    "kam": 367821000,
    "kaw": 0,
    "kbd": 106626174,
    "kcg": 18921129,
    "kde": 138628250,
    "kea": 51721943,
    "kg": 127921500,
    "kha": 103746400,
    "kho": 0,
    "ki": 822757500,
    "kj": 88662700,
    "kk": 1199704880,
    "kk_Latn": 0,
    "kkj": 13846140,
    "kl": 5543184,
    "km": 1464005500,
    "kmb": 758897500,
    "kmr": 0,
    "kmr_Latn": 0,
    "kn": 4798271000,
    "ko": 7751820247,
    "kok": 479827100,
    "kos": 798051,
    "kpe": 112387300,
    "kr": 0,
    "krc": 24160910,
    "krl": 11654086,
    "kru": 246397700,
    "ks": 558412835,
    "ksb": 94267210,
    "ksh": 24137310,
    "ku": 674636992,
    "kum": 28424600,
    "kut": 0,
    "kv": 25582140,
    "kw": 201826,
    "ky": 280766400,
    "la": 82000,
    "lad": 10952370,
    "lag": 48242631,
    "lah": 8317762075,
    "lam": 0,
    "lb": 40586188,
    "lez": 25582140,
    "lfn": 0,
    "lg": 531098100,
    "li": 94331600,
    "lki": 63098772,
    "lkt": 823140,
    "ln": 298237215,
    "lo": 499157730,
    "lol": 52021410,
    "loz": 98670600,
    "lrc": 198870332,
    "lt": 241028914,
    "ltg": 17119684,
    "lu": 196146299,
    "lua": 818697600,
    "lui": 0,
    "lun": 0,
    "luo": 474295500,
    "lus": 0,
    "luz": 99629640,
    "lv": 117337160,
    "lzh": 0,
    "mad": 1655558100,
    "mag": 1556196000,
    "mai": 1883089600,
    "mak": 191834510,
    "man": 60689170,
    "mas": 160612950,
    "mdf": 29845830,
    "mdr": 24176404,
    "men": 172738359,
    "mfe": 122785200,
    "mg": 2311524000,
    "mga": 0,
    "mgo": 12051270,
    "mh": 5524932,
    "mhr": 0,
    "mi": 12727764,
    "mia": 0,
    "mic": 0,
    "min": 788361000,
    "mjw": 0,
    "mk": 158213613,
    "ml": 4232057638,
    "mn": 288832174,
    "mnc": 0,
    "mni": 144405283,
    "mnk": 0,
    "mnw": 95098453,
    "moh": 351640,
    "mos": 789708000,
    "mr": 9077810000,
    "ms": 3405049705,
    "ms_Arab": 317646693,
    "mt": 44904300,
    "mus": 395107,
    "mwl": 0,
    "mwr": 1556196000,
    "my": 3593325130,
    "my@Zawgyi": 0,
    "myv": 44058130,
    "na": 688132,
    "nah": 0,
    "nan": 2630911000,
    "nap": 60379299,
    "naq": 27865420,
    "nb_NO": 537219000,
    "nd": 168364800,
    "nds": 1154155600,
    "ne": 2046827949,
    "new": 98068080,
    "ng": 53197620,
    "nia": 0,
    "niu": 113260,
    "nl": 3151031806,
    "nl_BE": 636394000,
    "nn": 134304750,
    "nnh": 35897400,
    "nog": 0,
    "non": 0,
    "nqo": 59277000,
    "nr": 88608320,
    "nso": 520573880,
    "nv": 16462800,
    "nwc": 0,
    "ny": 1594225940,
    "nym": 182989290,
    "nyn": 257378310,
    "nyo": 0,
    "nzi": 28102500,
    "oc": 202093200,
    "oj": 0,
    "om": 3495827605,
    "or": 4149856000,
    "os": 56316758,
    "osa": 0,
    "ota": 0,
    "otk": 0,
    "pa": 3684532813,
    "pa_PK": 0,
    "pag": 148250200,
    "pal": 0,
    "pam": 243553899,
    "pap": 20900657,
    "pau": 1592184,
    "peo": 0,
    "phn": 0,
    "pi": 0,
    "pl": 3840421919,
    "pms": 616242,
    "pon": 2383789,
    "pr": 0,
    "prg": 0,
    "pro": 0,
    "ps": 4661817180,
    "pt": 23218912985,
    "pt_AO": 2033845300,
    "pt_BR": 19005077000,
    "pt_PT": 994128000,
    "qdt": 0,
    "qtp": 0,
    "qu": 1112244100,
    "qu_EC": 280474500,
    "quc": 116069100,
    "raj": 129683000,
    "rap": 0,
    "rar": 0,
    "rcf": 55918464,
    "rm": 4146405,
    "rn": 746203500,
    "ro": 2226334160,
    "ro_MD": 216576360,
    "rof": 41033962,
    "rom": 0,
    "ru": 19580014305,
    "ru_UA": 2021805800,
    "rue": 52742760,
    "rup": 0,
    "rw": 1056629350,
    "rwk": 12199286,
    "sa": 1556195,
    "sad": 0,
    "sah": 45479360,
    "sai": 0,
    "sam": 0,
    "saq": 22262850,
    "sas": 254903390,
    "sat": 713256500,
    "sc": 105819390,
    "scn": 51042294,
    "sco": 175784040,
    "sd": 2831531800,
    "sdh": 307191390,
    "se": 5070810,
    "seh": 125275479,
    "sel": 0,
    "ses": 62661660,
    "sg": 281507940,
    "sga": 0,
    "sgn": 0,
    "shi": 298532670,
    "shn": 362571126,
    "si": 1535208800,
    "sid": 379351000,
    "sk": 668229877,
    "sl": 197221906,
    "sm": 25163374,
    "sma": 30123,
    "smi": 0,
    "smj": 150615,
    "sml": 0,
    "smn": 60910,
    "sms": 60910,
    "sn": 1136462400,
    "snk": 108736410,
    "so": 1627679447,
    "sog": 0,
    "son": 0,
    "sq": 675338157,
    "sr": 751840985,
    "sr@ijekavian": 0,
    "sr@ijekavian_Latn": 0,
    "sr_Cyrl": 0,
    "sr_Latn": 815542124,
    "srn": 40659036,
    "srr": 165229900,
    "ss": 217294044,
    "ssy": 21494340,
    "st": 629824660,
    "su": 3153444000,
    "suk": 482426309,
    "sus": 130409400,
    "sux": 0,
    "sv": 1275656140,
    "sw": 15537384336,
    "sw_CD": 4264050000,
    "sw_TZ": 4990617000,
    "syc": 0,
    "syr": 21731261,
    "szl": 49946910,
    "ta": 8151362779,
    "ta_LK": 338649000,
    "te": 9337176000,
    "tem": 164117460,
    "teo": 195143580,
    "ter": 0,
    "tet": 77993870,
    "tg": 860488000,
    "th": 5489272000,
    "ti": 1009565988,
    "tig": 107471700,
    "tiv": 325524800,
    "tk": 670639220,
    "tkl": 128500,
    "tl": 0,
    "tlh-qaak": 0,
    "tlh": 0,
    "tli": 0,
    "tmh": 157899990,
    "tn": 598067131,
    "to": 10107810,
    "tog": 19445748,
    "tok": 0,
    "tpi": 498940430,
    "tr": 7949002421,
    "trv": 470920,
    "ts": 460668140,
    "tsi": 0,
    "tsj": 11495955,
    "tt": 198972200,
    "tt@iqtelif": 0,
    "tum": 166677840,
    "tvl": 992083,
    "tw": 0,
    "ty": 9001563,
    "tyv": 18475990,
    "tzj": 0,
    "tzl": 0,
    "tzm": 336278180,
    "udm": 54006740,
    "ug": 761879990,
    "uga": 0,
    "uk": 2930357229,
    "umb": 880321100,
    "und": 32300,
    "ur": 26238229256,
    "ur_IN": 6484150000,
    "ur_PK": 19746985000,
    "uz": 2600908607,
    "uz_Latn": 0,
    "vai": 12505402,
    "ve": 136353916,
    "vec": 80920710,
    "vi": 8458105185,
    "vls": 115708000,
    "vo": 0,
    "vot": 0,
    "vun": 41033962,
    "wa": 67110640,
    "wae": 1126197,
    "wal": 195094800,
    "war": 307089700,
    "was": 0,
    "wen": 0,
    "wep": 0,
    "wo": 1052461511,
    "xal": 0,
    "xh": 998786435,
    "xog": 216524610,
    "yao": 65361120,
    "yap": 663315,
    "yi": 103652295,
    "yo": 2720870350,
    "yue": 649200600,
    "za": 429253900,
    "zap": 0,
    "zbl": 0,
    "zen": 0,
    "zgh": 754910200,
    "zh_Hans": 125127234432,
    "zh_Hans_SG": 461691230,
    "zh_Hant": 4392318569,
    "zh_Hant_HK": 685267300,
    "zh_Latn": 0,
    "zu": 1370720001,
    "zun": 0,
    "zza": 113760080,
}
